org.apache.flume.channel.file.encryption

## Class CipherProvider.Decryptor

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Decryptor

- Enclosing class:
    CipherProvider

      public abstract static class CipherProvider.Decryptor
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CipherProvider.Decryptor.Builder<T extends CipherProvider.Decryptor>` Builder implementations MUST have a no-arg constructor

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherProvider.Decryptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract byte[]` | `decrypt(byte[] cipherText)`
    `abstract String` | `getCodec()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherProvider.Decryptor

          public CipherProvider.Decryptor()

  - ### Method Detail

    - #### decrypt

          public abstract byte[] decrypt(byte[] cipherText)

    - #### getCodec

          public abstract String getCodec()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.